=== Linux-x86/Build/Modules/nimCodecs/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Source/External/LibJPEG

SRC_FILES = \
	../../../../../Source/Modules/nimCodecs/*.cpp \
	../../../../../Source/External/LibJPEG/*.c

LIB_NAME = nimCodecs
USED_LIBS = OpenNI

include ../../CommonCppMakefile
