=== Linux-x86/Build/Modules/nimMockNodes/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Modules/nimMockNodes/*.cpp

LIB_NAME = nimMockNodes
USED_LIBS = OpenNI

include ../../CommonCppMakefile
