=== Linux-x86/Build/Modules/nimRecorder/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Source/Modules/Common

SRC_FILES = \
	../../../../../Source/Modules/nimRecorder/*.cpp \
	../../../../../Source/Modules/Common/*.cpp

LIB_NAME = nimRecorder
USED_LIBS = OpenNI

include ../../CommonCppMakefile
