=== Linux-x86/Build/Samples/NiAudioSample/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiAudioSample/*.cpp

EXE_NAME = Sample-NiAudioSample
USED_LIBS = OpenNI

include ../../CommonCppMakefile
