=== Linux-x86/Build/Samples/NiBackRecorder/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiBackRecorder/*.cpp

EXE_NAME = Sample-NiBackRecorder
USED_LIBS = OpenNI

include ../../CommonCppMakefile
