=== Linux-x86/Build/Samples/NiCRead/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiCRead/*.c

EXE_NAME = Sample-NiCRead
USED_LIBS = OpenNI

include ../../CommonCppMakefile
