=== Linux-x86/Build/Samples/NiConvertXToONI/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiConvertXToONI/*.cpp

EXE_NAME = Sample-NiConvertXToONI
USED_LIBS = OpenNI

include ../../CommonCppMakefile
