=== Linux-x86/Build/Samples/NiRecordSynthetic/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiRecordSynthetic/*.cpp

EXE_NAME = Sample-NiRecordSynthetic
USED_LIBS = OpenNI

include ../../CommonCppMakefile
