=== Linux-x86/Build/Samples/NiSampleModule/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSampleModule/*.cpp

LIB_NAME = Sample-NiSampleModule
USED_LIBS = OpenNI

include ../../CommonCppMakefile
