=== Linux-x86/Build/Samples/NiSimpleCreate/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleCreate/*.cpp

EXE_NAME = Sample-NiSimpleCreate
USED_LIBS = OpenNI

include ../../CommonCppMakefile
