=== debian/changelog ===
opennidev (1.3.2.1-4+oneiric2) oneiric; urgency=low

  * Reupload to replace old binary packages.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 09 Nov 2012 21:43:45 +0100

openni (1.3.2.1-4+oneiric1) oneiric; urgency=low

  * Add patch silence_assert.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 01 Sep 2011 18:24:06 +0200

openni (1.3.2.1-3+oneiric1) oneiric; urgency=low

  * Add python as a build dependency.
  * Disable SSE again.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 22 Aug 2011 19:24:51 +0200

openni (1.3.2.1-2+oneiric1) oneiric; urgency=low

  * Add freeglut3-dev as build dependency.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 18 Aug 2011 20:24:47 +0200

openni (1.3.2.1-1+oneiric1) oneiric; urgency=low

  * New upstream release.
  * Syncing changes from ROS:
   - move /etc/primesense to /etc/openni
   - new willow.patch
  * Disable mono build.
  * Link against libGL where necessary.
  * Build doxygen documentation.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 18 Aug 2011 09:08:03 +0200

openni (1.1.0.41-7+oneiric1) oneiric; urgency=low

  * add memcpy -> memmove patch (for glibc 2.13 on amd64, see
    http://sourceware.org/bugzilla/show_bug.cgi?id=12518
    https://code.ros.org/lurker/message/20110701.140215.94ff61e8.en.html
    thanks to Angus Lees).

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 18 Jul 2011 16:32:48 +0200

openni (1.1.0.41-6+oneiric1) oneiric; urgency=low

  * change optimization to O2 and remove sse2 from CFLAGS to get rid of an
    illegal instruction error on i386 (thanks to Peter T. Breuer).

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 18 Jul 2011 14:52:59 +0200

openni (1.1.0.41-5+oneiric1) oneiric; urgency=low

  * changed postinst and prerm to debian style.
  * changed prerm to only remove /etc/primesense/modules.xml when called with
    remove.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 02 Jun 2011 19:53:58 -0700

openni (1.1.0.41-4+oneiric1) oneiric; urgency=low

  * add libc612 patch to get rid of libc6 2.12 dependency (only used in a
    warning message)

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 01 Jun 2011 15:38:58 -0700

openni (1.1.0.41-3+oneiric1) oneiric; urgency=low

  * upload to oneiric

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 22:25:06 -0700

openni (1.1.0.41-2) oneiric; urgency=low

  * add quilt and libusb-1.0-0-dev as build dependencies

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 18:32:52 -0700

openni (1.1.0.41-1) oneiric; urgency=low

  * Initial release

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 15:52:59 -0700
