=== debian/control ===
Source: opennidev
Priority: optional
Maintainer: Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>
Build-Depends: debhelper (>= 7.0.50~), quilt, libusb-1.0-0-dev, freeglut3-dev, default-jdk, doxygen, python
Standards-Version: 3.9.1
Section: libs
Homepage: http://openni.org
Vcs-Git: git://github.com/OpenNI/OpenNI.git
Vcs-Browser: https://github.com/OpenNI/OpenNI

Package: openni-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenNI Framework - libraries
 The OpenNI Framework provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework and used to produce sensory data. Selecting the hardware or
 middleware module is easy and flexible.
