=== debian/rules ===
#!/usr/bin/make -f

PLATFORM=Linux-x86

%:
	dh --with quilt $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/$(PLATFORM)/CreateRedist && ./RedistMaker

override_dh_auto_clean:
	dh_auto_clean
	cd Platform/$(PLATFORM)/Build && make clean
	rm -rf Platform/$(PLATFORM)/Bin
	rm -rf Platform/$(PLATFORM)/Build/Modules/*/Release
	rm -rf Platform/$(PLATFORM)/Build/OpenNI/Release
	rm -rf Platform/$(PLATFORM)/Build/Samples/*/Release
	rm -rf Platform/$(PLATFORM)/Build/Utils/*/Release
	rm -rf Platform/$(PLATFORM)/Build/Wrappers/OpenNI.jni/Release
	rm -rf Platform/$(PLATFORM)/CreateRedist/Final
	rm -rf Platform/$(PLATFORM)/CreateRedist/Output
	rm -rf Platform/$(PLATFORM)/Redist
	rm -rf Source/DoxyGen/html
